# Uses of Interface
org.eclipse.net4j.db.BatchedStatement

Packages that use BatchedStatement
Package
Description
org.eclipse.net4j.db
The Net4j DB framework.

## Uses of BatchedStatement in org.eclipse.net4j.db

Methods in org.eclipse.net4j.db that return BatchedStatement
Modifier and Type
Method
Description
`static BatchedStatement`
DBUtil.`batched(PreparedStatement delegate, int batchSize)`
`static BatchedStatement`
DBUtil.`batched(PreparedStatement delegate, int batchSize, BatchedStatement.Context context, String diagnosticName)`
Creates a batched statement associated with a batching context.
Methods in org.eclipse.net4j.db with parameters of type BatchedStatement
Modifier and Type
Method
Description
`void`
BatchedStatement.Context.`afterExecuteUpdate(BatchedStatement statement)`
`default void`
BatchedStatement.Context.`manageStatement(BatchedStatement statement)`
`void`
BatchedStatement.Context.`manageStatement(BatchedStatement statement, String diagnosticName)`